# Passenger::BufferedUpload Class Reference
[Apache-independent support classes and function]

Represents a buffered upload file. More...

`#include <Utils.h>`

List of all members.

## Public Member Functions

| BufferedUpload (const string &dir, const char *identifier="temp")
| Create an empty upload bufer file, and open it for reading and writing.

## Public Attributes

FILE * | handle
| The file handle.

## Detailed Description

Represents a buffered upload file.

## Constructor & Destructor Documentation

Passenger::BufferedUpload::BufferedUpload | ( | const string & | dir,
|  | const char * | identifier = `"temp"` |
| ) |  |  | `[inline]`

Create an empty upload bufer file, and open it for reading and writing.

Exceptions:

  | SystemException | Something went wrong.

## Member Data Documentation

FILE* Passenger::BufferedUpload::handle

The file handle.

The documentation for this class was generated from the following file:

- Utils.h